<h2 class="tag_page_title"><button type="button" class="btn setting_navigation" onclick="$('.tag_sett_sidebar').fadeIn(50);$('#tag_sett_right_prt').fadeOut(50);"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24"><path d="M20,11V13H8L13.5,18.5L12.08,19.92L4.16,12L12.08,4.08L13.5,5.5L8,11H20Z" fill="currentColor"></path></svg></button> <?php echo $wo['lang']['profile_setting']; ?></h2>
<div class="wow_sett_content wow_content p20">
	<form method="post" class="form-horizontal setting-profile-form tag_field_full_margin wo_settings_page">
		<div class="setting-profile-alert setting-update-alert"></div>
		<div class="row">
			<div class="col-md-6">
				<label class="tag_field">
					<input id="first_name" name="first_name" type="text" placeholder=" " value="<?php echo $wo['setting']['first_name']?>">
					<span><?php echo $wo['lang']['first_name']; ?></span>
				</label>
			</div>
			<div class="col-md-6">
				<label class="tag_field">
					<input id="last_name" name="last_name" type="text" placeholder=" " value="<?php echo $wo['setting']['last_name']?>">
					<span><?php echo $wo['lang']['last_name']; ?></span>
				</label>
			</div>
		</div>
		<label class="tag_field">
			<?php $text = br2nl($wo['setting']['about']); ?>
			<textarea id="about" name="about" placeholder=" " rows="4"><?php echo $text;?></textarea>
			<span><?php echo $wo['lang']['about_me']; ?></span>
		</label>
		<label class="tag_field">
			<input id="address" name="address" type="text" placeholder=" " value="<?php echo $wo['setting']['address'];?>">
			<span><?php echo $wo['lang']['location']; ?></span>
		</label>
		<div class="row">
			<div class="col-md-12">
				<label class="tag_field">
					<input id="website" name="website" type="text" placeholder=" " value="<?php echo $wo['setting']['website']?>">
					<span><?php echo $wo['lang']['website']; ?></span>
				</label>
			</div>
			<!--<div class="col-md-6">
				<label class="tag_field">
					<select id="relationship" name="relationship" onchange="if(this.value > 1 && this.value <= 4){$('#choose_rel_ship').modal('show');}">
						<option value="0"><?php /*echo $wo['lang']['none']; */?></option>
						<?php
/*							foreach ($wo['relationship'] as $relationship_ids => $relationship) {
							$relationship_id = $wo['setting']['relationship_id'];
							$selected_relationship = ($relationship_ids == $relationship_id) ? ' selected' : '' ;
						*/?>
							<option value="<?php /*echo $relationship_ids;*/?>" <?php /*echo $selected_relationship;*/?> ><?php /*echo $relationship;*/?></option>
						<?php /*} */?>
					</select>
					<span><?php /*echo $wo['lang']['relationship']; */?></span>
				</label>
			</div>-->
		</div>
		<hr class="style-two">
		<br>
		<div class="row">
			<div class="col-md-6">
				<label class="tag_field">
					<input id="school" name="school" type="text" placeholder=" " value="<?php echo $wo['setting']['school']?>">
					<span><?php echo $wo['lang']['school']; ?></span>
				</label>
			</div>
			<div class="col-md-6">
				<div class="row">
					<div class="col-md-12 round-check">
						<input type="checkbox" id="completed" name="completed" <?php echo ($wo['setting']['school_completed'] == 1)   ? 'checked' : '';?>>
						<label for="completed"><?php echo $wo['lang']['completed']; ?></label>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6">
				<label class="tag_field">
					<input id="working" name="working" type="text" placeholder=" " value="<?php echo $wo['setting']['working']?>">
					<span><?php echo $wo['lang']['working_at']; ?></span>
				</label>
			</div>
			<div class="col-md-6">
				<label class="tag_field">
					<input id="working_link" name="working_link" type="text" placeholder=" " value="<?php echo $wo['setting']['working_link']?>">
					<span><?php echo $wo['lang']['company_website']; ?></span>
				</label>
			</div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="tag_field">
                    <select class="form-control introduction_type" name="introduction_type">
                        <option value="file" <?php if(!is_null($wo['setting']['introduction_file'])){ echo "selected"; } ?>>Video/Audio File</option>
                        <option value="link" <?php if(!is_null($wo['setting']['introduction_link'])){ echo "selected"; } ?>>YouTube Link</option>
                    </select>
                    <span>Introduction Type</span>
                </label>
            </div>
            <div class="col-md-6">
                <div class="introduction_file" style="<?php if(!is_null($wo['setting']['introduction_link'])){ echo "display:none;"; } ?>" >
                    <label class="tag_field">
                        <input type="file" name="introduction_file" class="form-control">
                        <span>Introduction File</span>
                    </label>
                </div>
                <div class="introduction_link" style="<?php if(is_null($wo['setting']['introduction_link'])){ echo "display:none;"; } ?>">
                    <label class="tag_field">
                        <input type="text" name="introduction_link" class="form-control" value="<?=$wo['setting']['introduction_link']?>">
                        <span>Youtube Link</span>
                    </label>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <label class="tag_field">
                    <span>Skill</span>
                </label>
            </div>
        </div>
        <?php
            $skills = json_decode(str_replace('&quot;','"',$wo['setting']['skill']),true);
            if(count($skills) > 0){ $i=1; ?>
                <div class="skills-div">
                <?php foreach ($skills as $key => $skill){ if($i == count($skills)){ $add = true; }else{ $add = false; } ?>

                        <div class="row skill-div <?= !$add ? "appended-skill-div" : "" ?>">
                            <div class="col-md-6">
                                <div class="row">
                                    <div class="col-md-6">
                                        <label class="tag_field">
                                            <input name="skill[]" type="text" placeholder=" " value="<?=$key?>">
                                            <span>Skill</span>
                                        </label>
                                    </div>
                                    <div class="col-md-6">
                                        <label class="tag_field">
                                            <input name="skill_percent[]" type="number" placeholder=" " value="<?=$skill?>">
                                            <span>Percent</span>
                                        </label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <a class="btn btn-<?= $add ? "primary" : "danger" ?> <?= $add ? "add" : "remove" ?>-more-skills"><?= $add ? "Add more" : "Remove this" ?> field</a>
                            </div>
                        </div>

                <?php $i++; } ?>
                    </div>
            <?php }else{ ?>
                <div class="skills-div">
                    <div class="row skill-div">
                        <div class="col-md-6">
                            <div class="row">
                                <div class="col-md-6">
                                    <label class="tag_field">
                                        <input name="skill[]" type="text" placeholder=" " value="">
                                        <span>Skill</span>
                                    </label>
                                </div>
                                <div class="col-md-6">
                                    <label class="tag_field">
                                        <input name="skill_percent[]" type="number" placeholder=" " value="">
                                        <span>Percent</span>
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <a class="btn btn-primary add-more-skills">Add more field</a>
                        </div>
                    </div>
                </div>
            <?php }
        ?>

		<?php
			$fields = Wo_GetProfileFields('profile');
			if (count($fields) > 0) {
				foreach ($fields as $key => $wo['field']) {
					echo Wo_LoadPage('setting/profile-fields');
				}
				echo '<input name="custom_fields" type="hidden" value="1">';
			}
		?>

		<div class="text-center">
			<button type="submit" class="btn btn-main btn-mat btn-mat-raised disable_btn"><?php echo $wo['lang']['save']; ?></button>
		</div>

		<input type="hidden" name="user_id" id="user-id" value="<?php echo $wo['setting']['user_id'];?>">
		<input type="hidden" name="relationship_user" id="relationship_user_id" value="0">
		<input type="hidden" name="hash_id" value="<?php echo Wo_CreateSession();?>">
	</form>
</div>

<div class="modal fade" id="choose_rel_ship" role="dialog" data-keyboard="false">
	<div class="modal-dialog wow_mat_mdl">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title"><?php echo $wo['lang']['relationship_status']; ?></h4>
			</div>
			<div class="modal-body">
				<div class="choose_rel_ship_alert"></div>
				<label class="tag_field">
					<input type="text" placeholder=" " onkeyup="Wo_RelationshipSearch(this.value);">
					<span><?php echo $wo['lang']['username']; ?></span>
					<div class="dropdown" id="select_relationship_with">
						<ul class="dropdown-menu tag_create_menu full_width"></ul>
					</div>
				</label>
				<div class="valign author-block hidden tag_set_relation">
					<div class="valign author">
						<div class="img-wrap choose_rel_ship_avatar"></div>
						<div class="text choose_rel_ship_meta">
							<h3></h3>
							<p></p>
						</div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default btn-mat disable_btn" onclick="$('#relationship_user_id').val(0);" data-dismiss="modal" aria-label="Close"><?php echo $wo['lang']['cancel'] ?></button>
				<button type="button" class="btn btn-main btn-mat disable_btn" data-dismiss="modal"><?php echo $wo['lang']['save']; ?></button>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">
var relationship_users = [];
var relationship_user  = 0;
function Wo_RelationshipSearch(name = ''){
  if (!name) { return false;}
  $.ajax({
    url: Wo_Ajax_Requests_File(),
    type: 'GET',
    dataType: 'json',
    data: {f: 'family',s:'search',name:name},
  })
  .done(function(data) {
    if (data.status == 200 && data.users.length > 0) {
      relationship_users = data.users
      var html = '';
      for (var i = 0; i < data.users.length; i++) {
        html += '<li class="pointer select_relationship_user" data-id="'+i+'"><a>'+data.users[i].name+'</a></li>';
      }
      $("#select_relationship_with").addClass('open').find('ul').html(html);
    }
    else{
      $("#select_relationship_with").removeClass('open');
    }
  })
  .fail(function() {
    console.log("error");
  })
}

$(function() {
  $(document).on('click', '.select_relationship_user', function(event) {
    event.preventDefault();
    var user_data     = relationship_users[$(this).attr('data-id')];
    $("#relationship_user_id").val(user_data.user_id);
	$(".tag_set_relation").removeClass('hidden');
    $(".choose_rel_ship_meta").find('h3').text(user_data.name);
    $(".choose_rel_ship_meta").find('p').html(user_data.lastseen);
    $(".choose_rel_ship_avatar").html('<img src="'+user_data.avatar+'" alt="Picture">');
    $("#select_relationship_with").removeClass('open').find('ul').empty();
  });

  $('form.setting-profile-form').ajaxForm({
    url: Wo_Ajax_Requests_File() + '?f=update_profile_setting',
    beforeSend: function() {
      $('.wo_settings_page').find('.disable_btn').attr('disabled','disabled');
    },
    success: function(data) {
      if (data.status == 200) {
        <?php if($wo['user']['user_id'] == $wo['setting']['user_id']) { ?>
        if (data.first_name != '' || data.last_name != '') {
          $('[id^=user-full-name]').text(data.first_name + ' ' + data.last_name);
        }
        <?php } ?>
        scrollToTop();
        $('.setting-profile-alert').html('<div class="alert alert-success">' + data.message + '</div>');
        $('.alert-success').fadeIn('fast', function() {
          $(this).delay(2500).slideUp(500, function() {
            $(this).remove();
          });
        });
      } else if (data.errors) {
        var errors = data.errors.join("<br>");
        scrollToTop();
        $('.setting-profile-alert').html('<div class="alert alert-danger">' + errors + '</div>');
        $('.alert-danger').fadeIn(300);
      }
      $('.wo_settings_page').find('.disable_btn').removeAttr("disabled");
    }
  });
});
  var pac_input = document.getElementById('address');
  (function pacSelectFirst(input) {
    // store the original event binding function
    var _addEventListener = (input.addEventListener) ? input.addEventListener : input.attachEvent;
    function addEventListenerWrapper(type, listener) {
      // Simulate a 'down arrow' keypress on hitting 'return' when no pac suggestion is selected,
      // and then trigger the original listener.
      if(type == "keydown") {
        var orig_listener = listener;
        listener = function (event) {
          var suggestion_selected = $(".pac-item-selected").length > 0;
          if(event.which == 13 && !suggestion_selected) {
            var simulated_downarrow = $.Event("keydown", {
              keyCode: 40,
              which: 40
            });
            orig_listener.apply(input, [simulated_downarrow]);
          }
          orig_listener.apply(input, [event]);
        };
      }
      // add the modified listener
      _addEventListener.apply(input, [type, listener]);
    }
    if(input.addEventListener)
      input.addEventListener = addEventListenerWrapper;
    else if(input.attachEvent)
      input.attachEvent = addEventListenerWrapper;
  })(pac_input);

  <?php if ($wo['config']['google_map']) { ?>
  $(function () {
     var autocomplete = new google.maps.places.Autocomplete(pac_input);
  });
  <?php }?>

    $("body").on("click",".add-more-skills",function () {
        $(this).removeClass("add-more-skills").removeClass("btn-primary").addClass("btn-danger").addClass("remove-more-skills").text("Remove this field");
        $(this).parents(".skill-div").addClass("appended-skill-div");
        $(".skills-div").append(`
            <div class="row skill-div">
                <div class="col-md-6">
                    <div class="row">
                        <div class="col-md-6">
                            <label class="tag_field">
                                <input name="skill[]" type="text" placeholder=" " value="">
                                <span>Skill</span>
                            </label>
                        </div>
                        <div class="col-md-6">
                            <label class="tag_field">
                                <input name="skill_percent[]" type="text" placeholder=" " value="">
                                <span>Percent</span>
                            </label>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <a class="btn btn-primary add-more-skills">Add more field</a>
                </div>
            </div>
        `)
    });

    $("body").on("click",".remove-more-skills",function () {
        $(this).parents(".appended-skill-div").remove();
    });

    $("body").on("change",".introduction_type",function () {
        if($(this).val() == "file"){
            $(".introduction_file").show();
            $(".introduction_link").hide();
        }else{
            $(".introduction_file").hide();
            $(".introduction_link").show();
        }
    })
</script>